package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 16:10
 */
public class DataExplainDTO implements Serializable {
    private static final long serialVersionUID = -6587550517516153357L;

    /**
     *
     */
    private Integer dataExplainId;

    /**
     * 数据模块名称
     */
    private String dataName;

    /**
     * 模块分类
     */
    private String dataClassify;

    /**
     * 口径/文案编辑
     */
    private String indexRemark;

    /**
     * 补充说明
     */
    private String complement;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     * 模块id
     */
    private String moduleId;
    private Integer optUserId;
    private String optUserName;

    public Integer getDataExplainId() {
        return dataExplainId;
    }

    public void setDataExplainId(Integer dataExplainId) {
        this.dataExplainId = dataExplainId;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataClassify() {
        return dataClassify;
    }

    public void setDataClassify(String dataClassify) {
        this.dataClassify = dataClassify;
    }

    public String getIndexRemark() {
        return indexRemark;
    }

    public void setIndexRemark(String indexRemark) {
        this.indexRemark = indexRemark;
    }

    public String getComplement() {
        return complement;
    }

    public void setComplement(String complement) {
        this.complement = complement;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public DataExplainDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public Integer getOptUserId() {
        return optUserId;
    }

    public void setOptUserId(Integer optUserId) {
        this.optUserId = optUserId;
    }

    public String getOptUserName() {
        return optUserName;
    }

    public void setOptUserName(String optUserName) {
        this.optUserName = optUserName;
    }

    @Override
    public String toString() {
        return "DataExplainDTO{" +
                "dataExplainId=" + dataExplainId +
                ", dataName='" + dataName + '\'' +
                ", dataClassify='" + dataClassify + '\'' +
                ", indexRemark='" + indexRemark + '\'' +
                ", complement='" + complement + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                ", moduleId='" + moduleId + '\'' +
                ", optUserId=" + optUserId +
                ", optUserName='" + optUserName + '\'' +
                '}';
    }
}
