package com.gic.cloud.qo;

import java.io.Serializable;
/**
 * 用户查询参数
 * @ClassName: UserQo
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:22 AM 
 */
public class UserQo extends PageQo implements Serializable{
    private static final long serialVersionUID = -2145306520376748998L;

    /**
     * 名称/手机号
     */
    private String search;

    private Integer enterpriseId;

    /**
     * 账号分组ID
     */
    private Integer accountGroupId;

    /**
     * 数据权限集ID
     */
    private Integer dataAuthId;

    /**
     * 功能权限集ID
     */
    private Integer functionAuthId;

    public String getSearch() {
        return search;
    }

    public UserQo setSearch(String search) {
        this.search = search;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UserQo setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public UserQo setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public UserQo setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public Integer getFunctionAuthId() {
        return functionAuthId;
    }

    public UserQo setFunctionAuthId(Integer functionAuthId) {
        this.functionAuthId = functionAuthId;
        return this;
    }
}
