package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.TempStoreConditionDTO;
/**
 * 门店暂存区
 * @ClassName: TempStoreConditionApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:15 AM 
 */
public interface TempStoreConditionApiService {

    /**
     * 新增门店暂存区配置
     * @Title: saveOrUpdateTempStoreCondition 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveOrUpdateTempStoreCondition(TempStoreConditionDTO dto);

    /**
     * 获取门店暂存区配置信息
     * @Title: getTempStoreCondition 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.cloud.dto.TempStoreConditionDTO> 
     */
    ServiceResponse<TempStoreConditionDTO> getTempStoreCondition(Integer enterpriseId);

}
