package com.gic.cloud.entity;

import java.util.Date;

/**
 * 数据权限
 * @ClassName: TabSysDataAuth 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:34 AM 
 */
public class TabSysDataAuth {
    /**
     * ID
     */
    private Integer dataAuthId;

    /**
     * 名称
     */
    private String dataAuthName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 线上业绩权限,json数组,[{"channel":1,"storeContent":[1]}]
     */
    private String onlinePerformance;

    /**
     * 无归属门店权限 1:勾选 0:不勾选
     */
    private Integer noOwnerStore;

    /**
     * 门店资源，门店选择器ID
     */
    private Integer storeWidgetId;

    /**
     * 会员卡权限,_23232_23232_，可以多选，下划线隔开
     */
    private String memberCardAuth;

    /**
     * 商品域权限,_23232_23232_，可以多选，下划线隔开
     */
    private String goodsAreaAuth;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public TabSysDataAuth setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public String getDataAuthName() {
        return dataAuthName;
    }

    public TabSysDataAuth setDataAuthName(String dataAuthName) {
        this.dataAuthName = dataAuthName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabSysDataAuth setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getOnlinePerformance() {
        return onlinePerformance;
    }

    public TabSysDataAuth setOnlinePerformance(String onlinePerformance) {
        this.onlinePerformance = onlinePerformance;
        return this;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public TabSysDataAuth setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
        return this;
    }

    public String getMemberCardAuth() {
        return memberCardAuth;
    }

    public TabSysDataAuth setMemberCardAuth(String memberCardAuth) {
        this.memberCardAuth = memberCardAuth;
        return this;
    }

    public String getGoodsAreaAuth() {
        return goodsAreaAuth;
    }

    public TabSysDataAuth setGoodsAreaAuth(String goodsAreaAuth) {
        this.goodsAreaAuth = goodsAreaAuth;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysDataAuth setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabSysDataAuth setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabSysDataAuth setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getNoOwnerStore() {
        return noOwnerStore;
    }

    public TabSysDataAuth setNoOwnerStore(Integer noOwnerStore) {
        this.noOwnerStore = noOwnerStore;
        return this;
    }
}