package com.gic.cloud.entity;

import java.util.Date;

/**
 * 功能权限
 * @ClassName: TabSysFunction 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:32 AM 
 */
public class TabSysFunction {
    /**
     * ID
     */
    private Integer functionId;

    /**
     * 名称
     */
    private String functionName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 功能组件，_1_2_数据格式。1:排行榜 2:会员概况 3:招募分析 4:会员画像 5:业绩概览 6:消费构成 7:单品排行 8:基础业绩
     */
    private String functionComponent;

    /**
     * 0：有效 1无效
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getFunctionId() {
        return functionId;
    }

    public TabSysFunction setFunctionId(Integer functionId) {
        this.functionId = functionId;
        return this;
    }

    public String getFunctionName() {
        return functionName;
    }

    public TabSysFunction setFunctionName(String functionName) {
        this.functionName = functionName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabSysFunction setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getFunctionComponent() {
        return functionComponent;
    }

    public TabSysFunction setFunctionComponent(String functionComponent) {
        this.functionComponent = functionComponent;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysFunction setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabSysFunction setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabSysFunction setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}