package com.gic.cloud.service;

import com.gic.cloud.entity.TabAttentionStore;
import com.github.pagehelper.Page;
/**
 * 关注门店接口
 * @ClassName: StoreAttenttionService 
 * @Description:  
 * @author boom 
 * @date 2020/9/7 10:21 AM 
 */
public interface StoreAttenttionService {
    /**
     * 新增关注门店
     * @Title: addStoreAttenttion 
     * @Description:
     * @author boom
     * @param tabAttentionStore 
     * @return  int 
     */
    int addStoreAttenttion(TabAttentionStore tabAttentionStore);

    /**
     * 删除关注门店
     * @Title: removeStoreAttenttion 
     * @Description:
     * @author boom
     * @param enterpriseId
     * @param userId
     * @param storeIds 
     * @return  int 
     */
    int removeStoreAttenttion(Integer enterpriseId, Integer userId, String storeIds);

    /**
     * 分页查询关注门店
     * @Title: pageStoreAttention 
     * @Description:
     * @author boom
     * @param userId
     * @param enterpriseId 
     * @return  com.github.pagehelper.Page<com.gic.cloud.entity.TabAttentionStore> 
     */
    Page<TabAttentionStore> pageStoreAttention(Integer userId, Integer enterpriseId);
}
