package com.gic.cloud.service;

import com.gic.cloud.dto.TempStoreConditionDTO;
import com.gic.cloud.entity.TabSysTempStoreCondition;
/**
 * 门店暂存区接口
 * @ClassName: TempStoreConditionService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 9:55 AM 
 */
public interface TempStoreConditionService {

    /**
     * 新增门店暂存区
     * @Title: saveTempStoreCondition 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveTempStoreCondition(TempStoreConditionDTO dto);

    /**
     * 编辑门店暂存区
     * @Title: editTempStoreCondition 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editTempStoreCondition(TempStoreConditionDTO dto);

    /**
     * 获取门店暂存区
     * @Title: getTempStoreCondition 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.cloud.entity.TabSysTempStoreCondition 
     */
    TabSysTempStoreCondition getTempStoreCondition(Integer enterpriseId);
}
