package com.gic.cloud.web.vo;

import org.apache.commons.lang.StringUtils;

import java.io.Serializable;
/**
 * 功能详情
 * @ClassName: FunctionDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:55 AM 
 */
public class FunctionDetailVO implements Serializable{
    private static final long serialVersionUID = -3211293345162922378L;


    /**
     * ID
     */
    private Integer functionId;

    /**
     * 名称
     */
    private String functionName;

    /**
     * 功能组件，可以多选，英文逗号隔开
     */
    private String functionComponent;

    public Integer getFunctionId() {
        return functionId;
    }

    public FunctionDetailVO setFunctionId(Integer functionId) {
        this.functionId = functionId;
        return this;
    }

    public String getFunctionName() {
        return functionName;
    }

    public FunctionDetailVO setFunctionName(String functionName) {
        this.functionName = functionName;
        return this;
    }

    public String getFunctionComponent() {
        if (StringUtils.isNotBlank(functionComponent)) {
            functionComponent = functionComponent.substring(1, functionComponent.length() - 1);
            return functionComponent.replaceAll("_", ",");
        }
        return functionComponent;
    }

    public FunctionDetailVO setFunctionComponent(String functionComponent) {
        this.functionComponent = functionComponent;
        return this;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
