package com.gic.cloud.web.constant;
/**
 * 错误代码
 * @ClassName: ErrorCode 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:35 AM 
 */
public enum ErrorCode {
    /**
     * 系统错误
     */
    SYSTEMERROR("0001", "系统错误"),
    /**
     * 账号不存在
     */
    ACCOUNTNOTEXISTS("0002", "账号不存在");


    ErrorCode(String code, String msg){
        this.code = code;
        this.msg = msg;
    }

    private String code;
    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
