package com.gic.cloud.web.vo;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 观云台服务相关数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/3/24 4:16 PM 
 */
public class CloudDataServiceInfoVO implements Serializable{
    private static final long serialVersionUID = -8954200150762286722L;

    /**
     * 服务版本名称
     */
    private String versionName;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 过期时间 yyyy-MM-dd
     */
    private String expireDate;

    public String getVersionName() {
        return versionName;
    }

    public CloudDataServiceInfoVO setVersionName(String versionName) {
        this.versionName = versionName;
        return this;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public CloudDataServiceInfoVO setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
        return this;
    }

    public String getExpireDate() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (expireTime != null) {
            return sdf.format(expireTime);
        }
        return expireDate;
    }

    public CloudDataServiceInfoVO setExpireDate(String expireDate) {
        this.expireDate = expireDate;
        return this;
    }
}
