package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 账号分组
 * @ClassName: AccountGroupDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/6 10:14 AM 
 */
public class AccountGroupDTO implements Serializable{
    private static final long serialVersionUID = 6446178603866559817L;

    /**
     * ID
     */
    private Integer accountGroupId;

    /**
     * 账号名称
     */
    private String accountGroupName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 用户个数
     */
    private Integer memberCount;

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public AccountGroupDTO setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public String getAccountGroupName() {
        return accountGroupName;
    }

    public AccountGroupDTO setAccountGroupName(String accountGroupName) {
        this.accountGroupName = accountGroupName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public AccountGroupDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public AccountGroupDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public AccountGroupDTO setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public AccountGroupDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public AccountGroupDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public AccountGroupDTO setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
        return this;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
