package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 功能组件模块
 * @ClassName: FunctionModuleDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/8 3:35 PM 
 */
public class FunctionModuleDTO implements Serializable{
    private static final long serialVersionUID = 1359760668258180981L;

    /**
     * ID
     */
    private Integer functionModuleId;

    /**
     * 名称
     */
    private String functionModuleName;

    /**
     * 功能编码
     */
    private String functionModuleCode;

    /**
     * 功能模块说明
     */
    private String functionModuleDesc;

    /**
     * 运维操作人ID
     */
    private String operationId;

    /**
     * 运维操作人name
     */
    private String operationName;

    private String logo;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getFunctionModuleId() {
        return functionModuleId;
    }

    public FunctionModuleDTO setFunctionModuleId(Integer functionModuleId) {
        this.functionModuleId = functionModuleId;
        return this;
    }

    public String getFunctionModuleName() {
        return functionModuleName;
    }

    public FunctionModuleDTO setFunctionModuleName(String functionModuleName) {
        this.functionModuleName = functionModuleName;
        return this;
    }

    public String getFunctionModuleCode() {
        return functionModuleCode;
    }

    public FunctionModuleDTO setFunctionModuleCode(String functionModuleCode) {
        this.functionModuleCode = functionModuleCode;
        return this;
    }

    public String getFunctionModuleDesc() {
        return functionModuleDesc;
    }

    public FunctionModuleDTO setFunctionModuleDesc(String functionModuleDesc) {
        this.functionModuleDesc = functionModuleDesc;
        return this;
    }

    public String getOperationId() {
        return operationId;
    }

    public FunctionModuleDTO setOperationId(String operationId) {
        this.operationId = operationId;
        return this;
    }

    public String getOperationName() {
        return operationName;
    }

    public FunctionModuleDTO setOperationName(String operationName) {
        this.operationName = operationName;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public FunctionModuleDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public FunctionModuleDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public FunctionModuleDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public FunctionModuleDTO setLogo(String logo) {
        this.logo = logo;
        return this;
    }

    @Override
    public String toString() {
        return "FunctionModuleDTO{" +
                "functionModuleId=" + functionModuleId +
                ", functionModuleName='" + functionModuleName + '\'' +
                ", functionModuleCode='" + functionModuleCode + '\'' +
                ", functionModuleDesc='" + functionModuleDesc + '\'' +
                ", operationId='" + operationId + '\'' +
                ", operationName='" + operationName + '\'' +
                ", logo='" + logo + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
