package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-23 16:21
 */
public class IndexDescDTO implements Serializable {
    private static final long serialVersionUID = 9165568005916128353L;

    /**
     *
     */
    private Integer indexDescId;

    /**
     * 模块id
     */
    private String moduleId;

    /**
     * 指标名称
     */
    private String indexName;

    private String unit;
    /**
     * 指标code
     */
    private String indexCode;

    /**
     * 分类名
     */
    private String indexGroupName;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer enterpriseId;

    private Integer sort;

    private Integer updateTips;

    private Integer indexDescEnterpriseId;

    private Integer updateTipsId;

    private Integer indexId;

    private String remark;
    private Integer seq = 0;

    public Integer getIndexDescId() {
        return indexDescId;
    }

    public void setIndexDescId(Integer indexDescId) {
        this.indexDescId = indexDescId;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public String getIndexName() {
        return indexName;
    }

    public void setIndexName(String indexName) {
        this.indexName = indexName;
    }

    public String getIndexCode() {
        return indexCode;
    }

    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode;
        String amountField = "showSalesAmt";
        if(amountField.equals(this.indexCode)){
            this.unit = "元";
        }
    }

    public String getIndexGroupName() {
        return indexGroupName;
    }

    public void setIndexGroupName(String indexGroupName) {
        this.indexGroupName = indexGroupName;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public IndexDescDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getUpdateTips() {
        return updateTips;
    }

    public void setUpdateTips(Integer updateTips) {
        this.updateTips = updateTips;
    }

    public Integer getIndexDescEnterpriseId() {
        return indexDescEnterpriseId;
    }

    public void setIndexDescEnterpriseId(Integer indexDescEnterpriseId) {
        this.indexDescEnterpriseId = indexDescEnterpriseId;
    }

    public void setSeq(int seq) {
        this.seq = seq;
    }

    public int getSeq() {
        return seq;
    }

    public Integer getUpdateTipsId() {
        return updateTipsId;
    }

    public void setUpdateTipsId(Integer updateTipsId) {
        this.updateTipsId = updateTipsId;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getIndexId() {
        return indexId;
    }

    public void setIndexId(Integer indexId) {
        this.indexId = indexId;
    }

    @Override
    public String toString() {
        return "IndexDescDTO{" +
                "indexDescId=" + indexDescId +
                ", moduleId='" + moduleId + '\'' +
                ", indexName='" + indexName + '\'' +
                ", unit='" + unit + '\'' +
                ", indexCode='" + indexCode + '\'' +
                ", indexGroupName='" + indexGroupName + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", enterpriseId=" + enterpriseId +
                ", sort=" + sort +
                ", updateTips=" + updateTips +
                ", indexDescEnterpriseId=" + indexDescEnterpriseId +
                ", updateTipsId=" + updateTipsId +
                ", indexId=" + indexId +
                ", remark='" + remark + '\'' +
                ", seq=" + seq +
                '}';
    }
}
