package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.FunctionModuleDTO;

import java.util.List;
/**
 * 功能模块
 * @ClassName: FunctionModuleApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:11 AM 
 */
public interface FunctionModuleApiService {

    /**
     * 新增功能模块
     * @Title: saveFunctionModule 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveFunctionModule(FunctionModuleDTO dto);

    /**
     * 编辑功能模块
     * @Title: editFunctionModule 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> editFunctionModule(FunctionModuleDTO dto);

    /**
     * 查询功能模块
     * @Title: listFunctionModule 
     * @Description:
     * @author guojuxing
     * @param search 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.FunctionModuleDTO>> 
     */
    ServiceResponse<List<FunctionModuleDTO>> listFunctionModule(String search);
}
