package com.gic.cloud.entity;

import java.util.Date;

/**
 * 功能权限
 * @ClassName: TabSysFunctionModule 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:33 AM 
 */
public class TabSysFunctionModule {
    /**
     * ID
     */
    private Integer functionModuleId;

    /**
     * 名称
     */
    private String functionModuleName;

    /**
     * 功能编码
     */
    private String functionModuleCode;

    /**
     * 功能模块说明
     */
    private String functionModuleDesc;

    /**
     * 运维操作人ID
     */
    private String operationId;

    /**
     * 运维操作人name
     */
    private String operationName;

    private String logo;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getFunctionModuleId() {
        return functionModuleId;
    }

    public TabSysFunctionModule setFunctionModuleId(Integer functionModuleId) {
        this.functionModuleId = functionModuleId;
        return this;
    }

    public String getFunctionModuleName() {
        return functionModuleName;
    }

    public TabSysFunctionModule setFunctionModuleName(String functionModuleName) {
        this.functionModuleName = functionModuleName;
        return this;
    }

    public String getFunctionModuleCode() {
        return functionModuleCode;
    }

    public TabSysFunctionModule setFunctionModuleCode(String functionModuleCode) {
        this.functionModuleCode = functionModuleCode;
        return this;
    }

    public String getFunctionModuleDesc() {
        return functionModuleDesc;
    }

    public TabSysFunctionModule setFunctionModuleDesc(String functionModuleDesc) {
        this.functionModuleDesc = functionModuleDesc;
        return this;
    }

    public String getOperationId() {
        return operationId;
    }

    public TabSysFunctionModule setOperationId(String operationId) {
        this.operationId = operationId;
        return this;
    }

    public String getOperationName() {
        return operationName;
    }

    public TabSysFunctionModule setOperationName(String operationName) {
        this.operationName = operationName;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysFunctionModule setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabSysFunctionModule setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabSysFunctionModule setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public TabSysFunctionModule setLogo(String logo) {
        this.logo = logo;
        return this;
    }
}