package com.gic.cloud.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 * 会员卡
 * @ClassName: MemberCardVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 10:58 AM 
 */
public class MemberCardVO implements Serializable{

    private static final long serialVersionUID = -8228087541902310573L;
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 会员卡基本信息表主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long cardConfigId;

    private Integer ownerId;

    private String cardCode;

    private String cardName;

    public Long getId() {
        return id;
    }

    public MemberCardVO setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getCardConfigId() {
        return cardConfigId;
    }

    public MemberCardVO setCardConfigId(Long cardConfigId) {
        this.cardConfigId = cardConfigId;
        return this;
    }

    public Integer getOwnerId() {
        return ownerId;
    }

    public MemberCardVO setOwnerId(Integer ownerId) {
        this.ownerId = ownerId;
        return this;
    }

    public String getCardCode() {
        return cardCode;
    }

    public MemberCardVO setCardCode(String cardCode) {
        this.cardCode = cardCode;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public MemberCardVO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
