package com.gic.cloud.web.constant;
/**
 * 数据类型
 * @ClassName: DateTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:35 AM 
 */
public enum DateTypeEnum {
    /**
     * 天
     */
    DAY(1,"天"),
    /**
     * 周
     */
    WEEK(2, "周"),
    /**
     * 月
     */
    MONTH(3, "月"),
    /**
     * 年
     */
    YEAR(4, "年"),
    /**
     * 近三天
     */
    L3DAY(5, "近三天"),
    /**
     * 近七天
     */
    L7DAY(6, "近七天");

    private Integer type;
    private String message;

    DateTypeEnum(Integer type, String message){
        this.type = type;
        this.message = message;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
