package com.gic.cloud.web.constant;
/**
 * 门店渠道
 * @ClassName: StoreChannelEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 11:35 AM 
 */
public enum StoreChannelEnum {
    /**
     * 全渠道
     */
    ALL(0, "所有渠道"),
    /**
     * 线下
     */
    OFFLINE(1, "线下"),
    /**
     * 达摩微商城
     */
    GICMALL(2, "达摩微商城"),
    /**
     * 微盟微商城
     */
    WMMALL(3, "微盟微商城"),
    /**
     * 天猫
     */
    TIANMAO(4, "天猫");

    private Integer channel;
    private String message;

    StoreChannelEnum(Integer channel, String message){
        this.channel = channel;
        this.message = message;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
